Get Customer Overview
POST /obp/v7.0.0/banks/BANK_ID/customers/customer-number-query/overview
OBPv5.0.0-getCustomerOverview Roles: CanGetCustomerOverview(per bank) CustomerKYC
Gets the Customer Overview specified by customer_number and bank_code.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
BANK_ID: gh.29.uk
JSON request body fields (1)
- customer_number
- 5987953
JSON response body fields (42)
- account_attribute_id
- account_attributes
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- account_routings
- accounts
- address
- amount
- 10.12
- balance
- 10
- bank_id
- gh.29.uk
- branch_id
- DERBY6
- currency
- EUR
- customer_attribute_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- customer_attributes
- customer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- customer_number
- 5987953
- date
- 2020-01-27
- date_of_birth
- 2018-03-09
- dependants
- 1
- dob_of_dependants
- [2019-09-08, 2017-07-12]
- felixsmith@example.com
- employment_status
- worker
- face_image
- highest_education_attained
- Master
- kyc_status
- false
- label
- My Account
- last_ok_date
- 2025-10-21T01:45:31.340Z
- legal_name
- Eveline Tripman
- mobile_phone_number
- +49 30 901820
- name
- ACCOUNT_MANAGEMENT_FEE
- name_suffix
- Sr
- product_code
- 1234BW
- rating
- relationship_status
- single
- scheme
- OBP
- source
- title
- Dr.
- type
- url
- http://www.example.com/id-docs/123/image.png
- value
- 5987953
- contract_code
- contract_code
- credit_limit
- credit_rating
Example request body
{
"customer_number": "5987953"
}Example success response
{
"bank_id": "gh.29.uk",
"customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"customer_number": "5987953",
"legal_name": "Eveline Tripman",
"mobile_phone_number": "+44 07972 444 876",
"email": "felixsmith@example.com",
"face_image": {
"url": "www.openbankproject",
"date": "1100-01-01T00:00:00Z"
},
"date_of_birth": "1100-01-01T00:00:00Z",
"relationship_status": "single",
"dependants": 1,
"dob_of_dependants": [
"1100-01-01T00:00:00Z"
],
"credit_rating": {
"rating": "OBP",
"source": "OBP"
},
"credit_limit": {
"currency": "EUR",
"amount": "0"
},
"highest_education_attained": "Master",
"employment_status": "worker",
"kyc_status": false,
"last_ok_date": "2025-10-21T01:45:41Z",
"title": "Dr.",
"branch_id": "DERBY6",
"name_suffix": "Sr",
"customer_attributes": [
{
"customer_attribute_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"name": "SPECIAL_TAX_NUMBER",
"type": "STRING",
"value": "123456789"
}
],
"accounts": [
{
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"label": "My Account",
"product_code": "787LOW",
"balance": {
"currency": "EUR",
"amount": "0"
},
"branch_id": "DERBY6",
"account_routings": [
{
"scheme": "OBP",
"address": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0"
}
],
"account_attributes": [
{
"contract_code": "LKJL98769F",
"product_code": "1234BW",
"account_attribute_id": "613c83ea-80f9-4560-8404-b9cd4ec42a7f",
"name": "OVERDRAFT_START_DATE",
"type": "DATE_WITH_DAY",
"value": "2012-04-23"
}
]
}
]
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30008: User Customer Link not found by USER_ID
- OBP-50000: Unknown Error.
- OBP-20006: User is missing one or more roles: